/*！
 * 第三方软件授权 1 JavaScript
 * liezu - v1.0(2016-09-21)
 * 
 */


var auths={};//授权通道
var latitude = null;
var longitude = null;
function plusReady(){
	//获取当前定位的经纬度
	plus.geolocation.getCurrentPosition( function ( p ) {
		longitude = p.coords.longitude;
		latitude = p.coords.latitude;
		city = p.address.city; 
	}, function ( e ) {
		toast('无法定位，请检查您的网络或GPS是否开启');
	} );
	// 获取登录认证通道
	plus.oauth.getServices(function(services){
		for(var i in services){
			var service=services[i];
			auths[service.id]=service;
		}
		console.log(JSON.stringify(auths));
	},function(e){
		plus.nativeUI.alert("获取登录认证失败："+e.message,null,'提示');
	});
}
//页面初始化
document.addEventListener('plusready',plusReady,false);

/**
 * 第三方软件授权
 * @param {Object} id 第三方软件ID
 */
function oauthLogin(id){
	var device_model = plus.device.model;
	var device_uuid = plus.device.uuid;
	var ws = plus.webview.currentWebview();//当前窗口对象
	var auth=auths[id];
	if(auth){
		var w=plus.nativeUI.showWaiting('授权中...',{width:'80px',height:'80px',background:'rgba(0,0,0,0.3)'});
		document.addEventListener("pause",function(){
			setTimeout(function(){
				w&&w.close();w=null;
			},2000);
		}, false );
		auth.login(function(){
			w&&w.close();w=null;
			plus.nativeUI.toast("登录认证成功");
			plus.nativeUI.closeWaiting();
			auth.getUserInfo(function(){ 
				var userInfo = auth.userInfo;//授权用户信息
//				qq:userInfo{"ret":0,"is_yellow_year_vip":"0","figureurl_qq_1":"http://q.qlogo.cn/qqapp/1104455702/40EC356078CF6C835E48273AFF66C6AB/40","nickname":"浮尘","figureurl_qq_2":"http://q.qlogo.cn/qqapp/1104455702/40EC356078CF6C835E48273AFF66C6AB/100","yellow_vip_level":"0","is_lost":0,"msg":"","city":"上饶","figureurl_1":"http://qzapp.qlogo.cn/qzapp/1104455702/40EC356078CF6C835E48273AFF66C6AB/50","vip":"0","figureurl_2":"http://qzapp.qlogo.cn/qzapp/1104455702/40EC356078CF6C835E48273AFF66C6AB/100","level":"0","province":"江西","gender":"男","is_yellow_vip":"0","figureurl":"http://qzapp.qlogo.cn/qzapp/1104455702/40EC356078CF6C835E48273AFF66C6AB/30"}
//				weixin:userInfo{"sex":1,"nickname":"浮尘","unionid":"oU5Yyt9g9ShvRQgzKks1jI1RLQYU","privilege":[],"province":"Jiangxi","openid":"oRrdQt9WP2iQFoV2O8qwTQ0egFrw","language":"zh_CN","headimgurl":"http://wx.qlogo.cn/mmopen/JzXFb1HoGRic3lGH5xqG9iaMNfVUAQyva3o8AIUWZicJxgIibicGGGSUg0DrfHpzHtHZOpjheGkRRf5dCk9xopKFUsxJaHHcnaMvH/0","country":"CN","city":"Nanchang"} at js/view/authLogin.js:32
				var authResult = auth.authResult;//授权信息
//				qq:authResult{"ret":0,"pay_token":"FBA01E6D35ABA2537F0C4CC3ACE6AEBB","pf":"desktop_m_qq-10000144-android-2002-","query_authority_cost":133,"authority_cost":-211518525,"expires_in":7776000,"openid":"40EC356078CF6C835E48273AFF66C6AB","pfkey":"2de6ee9ae62773003efb701726aa94b7","msg":"","login_cost":647,"access_token":"DCAE0FEFFA4EFCE574D2006961ED7237"}
// 				weixin:authResult{"openid":"oRrdQt9WP2iQFoV2O8qwTQ0egFrw","expires_in":7200,"scope":"snsapi_userinfo","refresh_token":"OezXcEiiBSKSxW0eoylIeMMcs0nrYmwWrvyz9qZcDlV5Uu2q0U1fdOb9lldgZx0WtL0K9s7841mxkkJpgRnMg76LW_sUpk45lWkg9493mLRG9EwVb1HIyz_Pi89ekSm4VrR6IP3YhURvekI3ovM9uQ","access_token":"OezXcEiiBSKSxW0eoylIeMMcs0nrYmwWrvyz9qZcDlV5Uu2q0U1fdOb9lldgZx0W4Tg6Bb8clramVZZL0Uy5H7XRRaD6_TEK9mcS7JbqL6TtI36PHD8HszlvEnkvTHTkIRDqp2s34FEbjBQck2qtjA","unionid":"oU5Yyt9g9ShvRQgzKks1jI1RLQYU"} at js/view/authLogin.js:33
				console.log(JSON.stringify(userInfo));
				console.log(JSON.stringify(authResult));
				var nickname=auth.userInfo.nickname;
				if(!nickname){
					nickname=auth.userInfo.name;
				}
				var user,password,province,city,avatar,gender,loginType,openid;
				if(id=='qq'){//qq登陆
					loginType = id;//登录方式 
					openid = authResult['openid'];//唯一openID
					user = nickname;//昵称 
					if(userInfo['gender']=='男'){
						gender=1;//男
					}else{
						gender=0;//女
					}
//					province = userInfo['province'];// 省
					city = userInfo['city'];//市 
					avatar = userInfo['figureurl_qq_2'];//头像url 
				}else if(id=='sinaweibo'){//新浪登陆 
					user = nickname;//昵称 
					if(userInfo['gender']=='m'){
						gender=1;//男
					}else{
						gender=0;//女
					}
					loginType = id;//登录方式 
					openid = authResult['uid'];//唯一openID 
//					var locationStr = userInfo['location'].split(" ");//地址信息 
					avatar = userInfo['profile_image_url'];//头像url
				}else if(id=="weixin"){
					loginType = id;//登录方式 
					gender = userInfo['sex'];
					openid = authResult['openid'];//唯一openID
					user = nickname;//昵称 
					avatar = userInfo['headimgurl'];//头像url
				}
				showWaiting("登陆中...");
				var where = '';
				if(longitude && latitude){
					where = '&lat='+latitude+'&lng='+longitude;
				}
				$.ajax({//将用户信息存入数据库
					type:"get",
					url:ApiRoot,
					dataType:"json", 
					data: "m=login&a=authLogin&user="+user+"&avatar="+avatar+"&gender="+gender+'&city='+city+"&nickname="+nickname+"&loginType="+loginType+"&openid="+openid+'&device_model='+device_model+'&device_uuid='+device_uuid+where,
				    success: function(data){
						plus.nativeUI.closeWaiting();
		//				console.log(JSON.stringify(data));
						if(data){
							if(data.id){
								setStorage('lz_uid',''+data.id);
								setStorage('lz_user',''+data.user);
								setStorage('lz_gid',''+data.gid);
								setStorage('lz_login_type',loginType);
								if(plus.webview.getWebviewById('app/personal.html')){
									plus.webview.getWebviewById('app/personal.html').evalJS('getmyinfo();');
								}
								if(plus.webview.getWebviewById('app/nearby.html')){
									plus.webview.getWebviewById('app/nearby.html').reload();
								}
								if(plus.webview.getWebviewById('app/news.html')){
									plus.webview.getWebviewById('app/news.html').reload();
								}
								if(plus.webview.getWebviewById('app/default.html')){
									plus.webview.getWebviewById('app/default.html').evalJS('loadDefault();');
								}
								toast('登录成功');
								ws.close('pop-out',800);
							}else if(data==-1){
								toast('账号或密码错误！');
							}else{
								toast('该账号已登录设备'+data+',请先退出后再登录。若为他人盗用，请联系猎租找回!');
							}
						}else{
							toast('账号或密码错误！');
						}
					},
				    error:function(e){
				    	console.log(JSON.stringify(e))
				    }
				});
			},function(e){
				plus.nativeUI.toast("获取用户信息失败！");
//				plus.nativeUI.alert("["+e.code+"]："+e.message);
			});
		},function(e){
			w&&w.close();w=null;
			plus.nativeUI.toast("登录认证失败");
//			plus.nativeUI.alert("["+e.code+"]："+e.message);
		});
	}else{
		plus.nativeUI.toast("无效的登录认证通道！");
	}
}

/**
 * 注销所有授权
 */
function logoutAll(){
	for(var i in auths){
		logout(auths[i]);
	}
}

/**
 * 注销指定软件授权
 * @param {Object} auth 软件ID
 */
function logout(auth){
	auth.logout(function(){
		plus.nativeUI.alert("注销\""+auth.description+"\"成功");
	},function(e){
		plus.nativeUI.alert("注销\""+auth.description+"\"失败："+e.message);
	});
}