/*！
 * 公共变量即方法 1 JavaScript
 * liezu - v1.0(2016-09-21)
 * 
 */

//                           ============公共变量start=========
var ApiRoot = 'http://121.199.57.31/app/index.php';
var WebRoot = 'http://121.199.57.31/';
//var ApiRoot = 'http://121.199.57.31/api/index.php';
//var WebRoot = 'http://121.199.57.31/';
//                            ============公共变量end===========

//                            ============验证正则start=========
var p1=/^(0|86|17951)?(13[0-9]|15[012356789]|17[0678]|18[0-9]|14[57])[0-9]{8}$/;//手机号码格式验证
var p2=	/^([a-z0-9_\.-]+)@([\da-z\.-]+)\.([a-z\.]{2,6})$/;//邮箱格式验证
var p3=/^[1-9]\d{5}[1-9]\d{3}((0\d)|(1[0-2]))(([0|1|2]\d)|3[0-1])\d{4}$/;//身份证格式验证
//                            ============验证正则end===========


/**
 * 页面初始化
 */
document.addEventListener('plusready',function(){
	plus.navigator.setStatusBarBackground('#01B4DC');
	if(context == null){
        plus.android.importClass("android.media.AudioManager");
        context = plus.android.importClass("android.content.Context");
        RingtoneManager = plus.android.runtimeMainActivity().getSystemService(context.AUDIO_SERVICE);
    }
	$(".mui-action-back").on('tap',function(){
		console.log('返回');
		shock();
	})
	plus.key.addEventListener("backbutton",function(){
		shock();
	});
	plus.key.addEventListener("menubutton",function(){
		shock();
	});
})

/**
 * 生成窗口并跳转
 * @param {Object} url 窗口地址
 */
var openw = null;
var goUrl = function(url,data){
	shock();
	if(openw){console.log(url+'正在加载，请稍后！');return ;}//避免多次打开同一个页面
	openw = plus.webview.create(url,url,{},data);
	openw.show('pop-in',300);
	openw.addEventListener('close',function(){//页面关闭后可再次打开
		openw=null;
	},false);
}
/**
 * 点击APP模块时发出触摸提示音
 */
var t = false;
var context = null;
var RingtoneManager = null;
function shock(){
	if(mui.os.android){
		if(RingtoneManager)RingtoneManager.playSoundEffect(1); 
    }
	plus.device.vibrate( 10 ); //震动
}
/**
 * 取窗口滚动条高度 
 */
function getScrollTop()
{
    var scrollTop=0;
    if(document.documentElement&&document.documentElement.scrollTop)
    {
        scrollTop=document.documentElement.scrollTop;
    }
    else if(document.body)
    {
        scrollTop=document.body.scrollTop;
    }
    return scrollTop;
}
/**
 * 判断是否登录，若已登录则 生成窗口并跳转
 * @param {Object} url 窗口地址
 */
function goUrlNeedLogin(url){
	if(getStorage('lz_uid')){
		plus.webview.open(url,url,{},'pop-in');
	}else{
		toast('未登录');
		goUrl('login.html');
	}
}

/**
 * 弹出处小时的提示信息
 * @param {Object} message 信息内容
 */
function toast(message){
	plus.nativeUI.toast(message);
}

/**
 * 弹出会消失的等待信息
 * @param {Object} message 信息内容
 * @param {Object} time 指定时间后消失,若未指定则10秒后消失
 */
function showWaiting(message,time){
	if(!time || time==0){
		time = 10000;
	}
	var waiting = plus.nativeUI.showWaiting(message,{width:'80px',height:'80px',background:'rgba(0,0,0,0.3)'});
	setTimeout(function(){
		if(waiting){
			waiting.close();
		}
	},time);
}

/**
 * 设置本地数据
 * @param {Object} key 存入key
 * @param {Object} val 存入值
 */
function setStorage(key,val){
	plus.storage.setItem(key,val);
}

/**
 * 获取本地数据
 * @param {Object} key 存入key
 * @return {String} 返回key对应的值，若不存在，返回null
 */
function getStorage(key){
	return plus.storage.getItem(key);
}

/**
 * 删除本地数据
 * @param {Object} key 存入key
 */
function delStorage(key){
	plus.storage.removeItem(key);
}

/**
 * 将数据库读取的文件相对路径修补为绝对路径
 * @param {Object} relativeImgUrl 相对路径地址
 * @return {String} 返回该文件在服务器的绝对路径地址
 */
function getImgUrl(relativeImgUrl) {
	return relativeImgUrl.indexOf('http') < 0 ? WebRoot + relativeImgUrl : relativeImgUrl;
}

/**
 * 获取url “?” 后的参数对应得值
 * @param {Object} name 参数名
 * @return {String} 返回对应参数的值
 */
function GetQueryString(name) { 
    var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)", "i"); 
   	var r = window.location.search.substr(1).match(reg);  //获取url中"?"符后的字符串并正则匹配
    var context = ""; 
    if (r != null) 
       	context = r[2]; 
    	reg = null; 
    	r = null; 
    	return context == null || context == "" || context == "undefined" ? "" : context; 
}

/**
 * 资料修改模板
 */
function editModel(title,edit_key,edit_val){
	if(openw){return ;}//避免多次打开同一个页面
	shock();
	openw = plus.webview.create('editModel.html','editModel.html',{},{title:title,edit_key:edit_key,edit_val:edit_val});
	openw.show('pop-in',300);
	openw.addEventListener('close',function(){//页面关闭后可再次打开
		openw=null;
	},false);
}
/**
 * 验证支付密码
 */
function toPayVerify(){
	if(openw)return ;//避免多次打开同一个页面
	showWaiting();
	openw = plus.webview.create('password_pay.html','password_pay.html',{},{oldPageId:ws.id}); 
	openw.addEventListener('loaded',function(){
		plus.nativeUI.closeWaiting();
		setTimeout(function(){
			openw.show('zoom-fade-out',500);
		},200);
		openw.addEventListener('close',function(){//页面关闭后可再次打开
			openw=null;
		},false);
	});
}
function checkUpdate(){
	$.ajax({
		type:"get",        
		url:ApiRoot,
		dataType:'json',
		data:'m=index&a=getVersionInfo',
		success:function(data){
			console.log(JSON.stringify(data)); 
			if(data && data.version){
				var version = plus.runtime.version;
				if(version!=data.version && plus.os.name=='Android'){
					if(data.version == getStorage('no_version'))return ; 
					plus.nativeUI.confirm( "系统检测到新的版本，是否立即安装？", function(e){
						console.log( (e.index==0)?"Yes!":"No!" );
						if(e.index==0){
							showWaiting('正在下载',1000000);
							downloadApk(data.apk);
						}else if(e.index==1){ 
	//									toast('不再提醒');
							setStorage('no_version',data.version);
						}
					}, "提示", ["立即安装","不再提醒","暂不安装"] );
				}
			}
		},
		error:function(e){
			plus.nativeUI.closeWaiting();
			toast('网络失去连接');
				console.log(JSON.stringify(e));
			}
		});
	}
function downloadApk(path){
	var downloadPath = getImgUrl(path);
	console.log('downloadPath:'+downloadPath);
	var filename = path.substr(path.lastIndexOf('/')+1);
	var savepath = '_downloads/apk/'+filename;
	
	// 打开doc根目录
	plus.io.requestFileSystem( plus.io.PUBLIC_DOWNLOADS, function(fs){
		fs.root.getDirectory( 'apk', {create:true}, function(entry){
			var dir = entry;
			dir.getFile( filename, {create:false}, function(fentry){
				plus.runtime.install(savepath);
			}, function(e){
				console.log('文件不存在，从服务器获取安装包');
				var dtask = plus.downloader.createDownload( downloadPath, {filename:savepath}, function ( d, status ) {
					// 下载完成
					if ( status == 200 ) { 
						console.log( "Download success: " + d.filename );
						plus.nativeUI.closeWaiting();
						plus.runtime.install(savepath);
					} else { 
						console.log( "Download failed: " + status );
					}  
				});
				dtask.start();
			});
			
		}, function(e){
			console.log( "准备升级操作，打开update目录失败："+e.message );
		});
	},function(e){
		console.log( "准备升级操作，打开doc目录失败："+e.message );
	});
}