/*！
 * 上传示例 1 JavaScript
 * liezu - v1.0(2016-09-21)
 * 
 */

var files=[];//上传文件
/**
 * 开始上传
 */
function uploadAvatar(){
	var server = ApiRoot+'?m=member&a=editavatar&uid='+getStorage('lz_uid');//上传服务器地址
	if(files.length<=0){
		plus.nativeUI.alert("没有添加上传文件！");
		return;
	}
	showWaiting("开始上传",100000);
	var task=plus.uploader.createUpload(server,
		{method:"POST"},
		function(t,status){ //上传完成
			console.log(status+","+t.responseText);
			plus.nativeUI.closeWaiting();
			if(status==200){
				if(t.responseText==-1){
					toast("上传失败");
					return ;
				}
				var sw = plus.webview.getWebviewById('app/personal.html')
				if(sw)sw.evalJS('getmyinfo();');
				plus.webview.currentWebview().evalJS('getmyinfo();');
				toast("上传成功");
			}else{
				toast("上传失败："+status+t.responseText);
			}
		}
	);
	for(var i=0;i<files.length;i++){
		var f=files[i];
		task.addFile(f.path,{key:f.name});
	}
	task.start();
}

/**
 * 开始上传
 * @param {Object} oid 订单ID
 */
function uploadOrder(oid){
	var title = $('#title').val();
	var body = $("#body").val();
	if(!title){toast('标题不能为空');return ;}
	if(!body){toast('内容不能为空');return ;}
	
	var server = ApiRoot+'?m=user&a=addViewOrder&uid='+getStorage('lz_uid')+'&oid='+oid+"&title="+title+"&body="+body;
	if(files.length<=0){
		plus.nativeUI.alert("没有添加上传文件！");
		return;
	}
	showWaiting("开始上传",100000);
	var task=plus.uploader.createUpload(server,
		{method:"POST"},
		function(t,status){ //上传完成
			console.log(status+","+t.responseText);
			plus.nativeUI.closeWaiting();
			
			if(status==200){
				//***********以下为上传成功后的调用***********
				var data = eval("("+t.responseText+")");
				if(data.status==1){
					toast("上传成功"+data.message);
					if(plus.webview.getWebviewById('winning_history.html')){
						plus.webview.getWebviewById('winning_history.html').evalJS('getSnatchRocord();');
					}
					goUrl('my_view_order.html');
					setTimeout(function(){
						plus.webview.currentWebview().close('none');
					},800);
				}else{
					toast("上传失败"+data.message);
				}
				//***********以上为上传成功后的调用***********
			}else{
				toast("上传失败："+status+t.responseText);
			}
		}
	);
	for(var i=0;i<files.length;i++){
		var f=files[i];
		task.addFile(f.path,{key:f.name});
	}
	task.start();
}

/**
 * 上传验证
 * @param {Object} vid
 */
function uploadVerify(vid){
	var name = $('#name').val();
	var phone = $("#phone").val();
	var idcard_no = $("#idcard_no").val();
	if(!name){toast('姓名不能为空');return ;}
	if(!phone){toast('手机号不能为空');return ;}
	if(!idcard_no){toast('身份证号码不能为空');return ;}
	var server = ApiRoot+'?m=user&a=addVerify&uid='+getStorage('lz_uid')+'&name='+name+"&phone="+phone+"&idcard_no="+idcard_no+(vid ? ('&vid='+vid) : '');
	if(files.length<3){
		plus.nativeUI.alert("没有添加完整上传文件！");
		return;
	}
	plus.nativeUI.confirm('确认要提交审核吗？',function(e){
		if(e.index==0){
			showWaiting("开始上传",100000);
			var task=plus.uploader.createUpload(server,
				{method:"POST"},
				function(t,status){ //上传完成
					console.log(status+","+t.responseText);
					plus.nativeUI.closeWaiting();
					
					if(status==200){
						//***********以下为上传成功后的调用***********
						var data = eval("("+t.responseText+")");
						if(data.status==1){
							toast("上传成功"+data.message);
							getMyVerify();
						}else{
							toast("上传失败"+data.message);
						}
						//***********以上为上传成功后的调用***********
					}else{
						toast("上传失败："+status+t.responseText);
					}
				}
			);
			for(var i=0;i<files.length;i++){
				var f=files[i];
				task.addFile(f.path,{key:f.name});
			}
			task.start();
		}
	},'提示',['确定','取消'])
}

/**
 * 调起手机拍照功能
 * @param {Object} part 图片类型
 */
function verifyCamera(part){
	plus.camera.getCamera().captureImage(function(p){
		appendFileOfVerify(p,part);
	});	
}

/**
 * 调起手机相册功能
 * @param {Object} part 图片类型
 */
function verifyGallery(part){
	plus.gallery.pick(function(p){
        appendFileOfVerify(p,part);
    });
}

/**
 * 将文件添加至files数组中
 * @param {Object} p 文件路径
 * @param {Object} part 文件类型
 */
function appendFileOfVerify(p,part){
$("#"+part).attr('src',p);
//$("#photo_side").attr('src',getImgUrl(data.member_verify.photo_side));
//$("#photo_person").attr('src',getImgUrl(data.member_verify.photo_person));	
	var flag = 0;
	var arr = files;
//	files = []; 
	if(files.length>0){
		$.each(files, function(k,v) {
			if(v.name == part){
				files[k]['path']=p;
				flag = 1;
			}
		});
	}
	if(flag==0)files.push({name:part,path:p});
	console.log(JSON.stringify(files));
}



// 拍照添加文件
function appendByCamera(){
	plus.camera.getCamera().captureImage(function(p){
		appendFile(p);
	});	
}
// 从相册添加文件
function appendByGallery(){
	plus.gallery.pick(function(p){
        appendFile(p);
    });
}

var lfs=null;// 保留上次选择图片列表
/**
 * 添加多张图片
 */
function appendByGalleryImgs(){
	// 从相册中选择图片
    plus.gallery.pick( function(e){
    	lfs = e.files;
    	$("#piclist").html('');
    	files = [];
    	index = 1;
//  	console.log(JSON.stringify(files));
    	var html = '';
    	for(var i in e.files){
//	    	console.log(e.files[i]);
			var filepath = e.files[i];
			files.push({name:"uploadkey"+index,path:filepath});
			html += ('<li class="mediaCon" style="height:150px;overflow:hidden"><img src="'+filepath+'" style="width:100%;height:auto;overflow:hidden;" /></li>');
			index++;
    	}
    	$("#piclist").html(html);
    	$("#piclist").append('<li class="mediaCon" onclick="appendByGalleryImgs()"><img src="img/iconfont-tianjia.png" /></li>')
//  	console.log(JSON.stringify(files));
    }, function ( e ) {
    	toast( "取消选择图片" );
    },{filter:"image",multiple:true,maximum:3,selected:lfs,system:false,onmaxed:function(){
		plus.nativeUI.alert('最多只能选择3张图片');
    }});
}

var index=1;
// 添加文件
function appendFile(p){
//***********以下为添加文件到file[]中，请不要修改***********
	files = [];
	files.push({name:"uploadkey",path:p});
	uploadAvatar();
}

// 产生一个随机数
function getUid(){
	return Math.floor(Math.random()*100000000+10000000).toString();
}