/*！
 * chuzu.html 1 JavaScript
 * liezu - v1.0(2016-09-21)
 * 我要出租
 */

var ws=null;
var uid = null;
var tags = null;//已选择标签id string
var all_tags = null;//所有标签[]
var files=[];//上传文件[]
var allColor = new Array('primary','positive','negative');
var shour=0;//出租开始时
var ehour=24;//出租结束时
var city=null;//城市 
var verify = 0;//是否通过身份验证
var ismid = 0;
var leaseid = null;
var mask = null;
var tag_web = null;
/**
 * 初始化页面
 */
document.addEventListener('plusready',function(){
	ws = plus.webview.currentWebview();
	tag_web = plus.webview.create('lease_tag.html','lease_tag.html',{width:'80%',left:'10%',right:'10%',top:'10%',bottom:'10%'},{});
	ws.append(tag_web);
	tag_web.hide('none'); 
	uid = getStorage('lz_uid');
	if(uid && !getStorage('lz_login_type'))$("#phone").val(getStorage('lz_user'));
	plus.geolocation.getCurrentPosition( function ( p ) {//获取定位信息
		console.log(JSON.stringify(p))
		var c = p.address.city; 
		city = c; 
		$('#city').text(city);
	}, function ( e ) {
		toast('无法定位，请检查您的网络或GPS是否开启');
	} );
	getMyLease();
},false);
function closeMask(){
	if(mask)mask.close();
}
/**
 * 获取出租信息
 */
function getMyLease(){
	$.ajax({
		type:"get",
		url:ApiRoot,
		dataType:'json',
		data:'m=member&a=getMyLease&uid='+uid,
		success:function(data){
//			console.log(JSON.stringify(data));
			if(data){
				all_tags = data.all_tags; 
				verify = data.verify;
				console.log(verify);
				if(verify==1){ 
//					$('#verifytext').css('color','green');
//					$('#verifytext').text('已验证');
					$("#verify1").addClass('mui-hidden');
					$("#verify3").removeClass('mui-hidden');
				}
				if(data.myleases.id && data.myleases.id>0){
					ismid = 1;
					leaseid = data.myleases.id;
					tags = data.myleases.tags;
					shour = data.myleases.stime;
					ehour = data.myleases.etime;
					city = data.myleases.cityname;
					$('#price').val(data.myleases.price);
//					if(data.myleases.price>0)$(".price-xing").hide();
					$('#shour').text(data.myleases.stime+':00');
					$('#ehour').text(data.myleases.etime+':00');
					$('#phone').val(data.myleases.phone);
//					if(data.myleases.price>0)$(".phone-xing").hide();
					$('#weixin').val(data.myleases.weixin);
					$('#city').val(data.myleases.cityname);
//					$("#photo").html('<img id="imgObj" src="'+getImgUrl(data.myleases.photo)+'" style="width: 100%;" />');
					$("#imgObj").attr('src',getImgUrl(data.myleases.photo));
					$('.iden-li').hide();
					$("#photo").removeClass('mui-hidden');
					$('#uploadText').text('重新上传'); 
					selectTags(tags);
				}else{
					toast('您尚未设置您的出租资料，成功设置后，你的信息将上传至平台');
				}
			}
		},
		error:function(e){
			console.log(JSON.stringify(e));
		}
	});
}

/**
 * 创建选择标签页面并打开
 */
function goselectTags(){
	var cw = plus.webview.create('select_tags.html','select_tags.html',{},{tags:tags,oldPageId:ws.id});
	cw.show('pop-in',500);
}

/**
 * 选择标签
 * @param {Object} selected_tags 选择标签ID
 */
function selectTags(selected_tags){
	tags = selected_tags;//将标签ID赋值
	var html = '';
	var i=0;
	$.each(all_tags, function(k,v) {//将选择的标签遍历展示
		if(tags && tags.indexOf(v.id+',')>=0){
//			html += '<span class="mui-btn mui-btn-'+allColor[i%3]+' content-butt" style="margin-right:5px;">'+v.title+'</span>';
			html+= '<a class="btns active">'+v.title+'</a>';
			i++;
		}
	});
	$("#tags").html(html);
//	$(".tags-xing").hide();
//	alert(selected_tags);
}

/**
 * 选择图片方式
 */
function addPic(){
	plus.nativeUI.actionSheet({cancel:'取消',buttons:[{title:'拍照'},{title:'从手机相册选择'}]},function(e){
		if(e.index==1){
			appendByCamera();
		}else if(e.index==2){
			appendByGallery();
		}
	});
}
// 拍照添加文件
function appendByCamera(){
	plus.camera.getCamera().captureImage(function(p){
		appendFile(p);
	});	
}
// 从相册添加文件
function appendByGallery(){
	plus.gallery.pick(function(p){
        appendFile(p);
    });
}
// 添加文件
var index=1;
function appendFile(p){
	$("#imgObj").attr('src',plus.io.convertLocalFileSystemURL( p ));
	files = [];
	files.push({name:"uploadkey",path:p});
//	console.log(JSON.stringify(files));
	$("#photo").removeClass('mui-hidden');
}

/**
 * 上传出租信息
 */
function checkuploadLease(){
	if(files.length>0){
		var imgObj = document.getElementById('imgObj');
		if(plus.os.name=='iOS'){ //若为IOS系统，判断图片是否旋转
			showWaiting("开始上传",100000);
			EXIF.getData(document.getElementById('imgObj'), function() { 
			    var Orientation = EXIF.getTag(this, "Orientation");
			    if(Orientation && Orientation>1){ //图片旋转，需要纠正方向
//			    	 console.log("Orientation:" + Orientation+'，需要旋转图片');
					//旋转角度	参数
					//  0°	     1
					//顺时针90°	 6
					//逆时针90°	 8
					//  180°	 3
//					var rotate = (Orientation==3 ? 360 : (Orientation==6 ?  360 : 360));
					var rotate =360;
//					console.log('rotate:'+rotate);
					var filepath = files[0]['path'];
					var filep = filepath.substr(0,filepath.indexOf('/')+1);
					var fname = filepath.substr(filepath.lastIndexOf('/')+1);
					plus.zip.compressImage({//旋转图片
							src:filepath,
							dst:filep+'xz_'+fname,
							rotate:rotate,		// 旋转90度
							overwrite:true
						},
						function(event) {
							var np = event.target;
							console.log('旋转成功：'+ np);
							plus.nativeUI.closeWaiting();
							$('#uploadText').text('重新上传');
							files = [];
							files.push({name:"uploadkey",path:np});
//							console.log(''+JSON.stringify(files));
							uploadLease();//上传信息
						},function(error) {
							toast("图片处理失败");
							uploadLease();
					});
			   }else{ 
			    	plus.nativeUI.closeWaiting();
					console.log(JSON.stringify(files));
//			    	console.log('直接上传'); 
			    	uploadLease();
			    }
			});
		}else{
			plus.nativeUI.closeWaiting();
			console.log(JSON.stringify(files));
//	  		console.log('直接上传'); 
	  		uploadLease();
		}
	}else{
		uploadLease();
	}
}
function alertTag(){
	if(tag_web){
		mask = mui.createMask(function(){
			tag_web.hide('fade-out',500);
		});//callback为用户点击蒙版时自动执行的回调；
		mask.show();//显示遮罩
		tag_web.show();
	}
}
// 上传资料
function uploadLease(){
	if(mask)mask.close();
	console.log(JSON.stringify(files));
	var server = ApiRoot+'?m=member&a=uploadLease&uid='+getStorage('lz_uid')+(leaseid ? ('&leaseid='+leaseid) : '');
	if(verify==0){
		toast('您尚未通过身份验证，请先前往身份验证');
		goUrl('identity.html');
		return ;
	}
	if(!$("#price").val()){
		toast('请输入您的出租定价');
		$("#price").focus();
		return ;
	}
	server+='&price='+$("#price").val();
	if(!$("#phone").val()){
		toast('请输入您的手机，方便我们和您联系');
		$("#phone").focus();
		return ;
	}
	server+='&phone='+$("#phone").val();
//	if(!$("#weixin").val()){
//		toast('请输入您的微信，方便我们和您联系');
//		return ;
//	}
	server+='&weixin='+$("#weixin").val();
//	alert(city)
	if(!city){
		toast('请选择您的所处城市');
		var cityPicker = new mui.PopPicker({
			layer: 2
		});
		cityPicker.setData(cityData);
		cityPicker.show(function(items) {
			$('#city').text(items[1].text);
			city = items[1].text;
		});
		return ;
	}
	server+='&city='+city;
	if(files.length<=0 && ismid==0){
		plus.nativeUI.alert("没有添加形象照！");
		addPic();
		return;
	}
	if(!tags){
		toast('请选择您出租标签');
		goselectTags();
		return ;
	}
		
	server+='&tags='+tags;
	console.log('标签：'+tags);
	server+='&stime='+shour+'&etime='+ehour;
	console.log(server);
	showWaiting("开始上传",100000);
	var task=plus.uploader.createUpload(server,
		{method:"POST"},
		function(t,status){ //上传完成
			console.log(status+","+t.responseText);
			plus.nativeUI.closeWaiting();
			if(status==200){
				//***********以下为上传成功后的调用***********
				if(t.responseText>=0){
					var sw = plus.webview.getWebviewById('app/default.html')
					if(sw)sw.evalJS('loadDefault();');
					getMyLease();
					toast("保存成功");
				}else{
					toast("保存失败");
				}
				//***********以上为上传成功后的调用***********
			}else{
				toast("上传失败："+status+t.responseText);
			}
		}
	);
	for(var i=0;i<files.length;i++){
		var f=files[i];
		task.addFile(f.path,{key:f.name}); 
	}
	task.start();
}

/**
 * 创建出租信息预览页面，并打开
 */
function viewLease(){
//	if(verify==0){
//		toast('您尚未通过身份验证，请先前往身份验证');
//		goUrl('identity.html');
//		return ;
//	}
	if(!$("#price").val()){
		toast('请输入您的出租定价');
		$("#price").focus();
		return ;
	}
	if(!$("#phone").val()){
		toast('请输入您的手机，方便我们和您联系');
		$("#phone").focus();
		return ;
	}
//	if(!$("#weixin").val()){
//		toast('请输入您的微信，方便我们和您联系');
//		return ;
//	}
	if(!city){
		toast('请选择您的所处城市');
		var cityPicker = new mui.PopPicker({
			layer: 2
		});
		cityPicker.setData(cityData);
		cityPicker.show(function(items) {
			$('#city').text(items[1].text);
			city = items[1].text;
		});
		return ;
	}
	if(files.length<=0 && ismid==0){
		plus.nativeUI.alert("没有添加形象照！");
		addPic();
		return;
	}
	if(!tags){
		toast('请选择您出租标签');
		goselectTags();
		return ;
	}
	var w = plus.webview.create('chuzu1.html','chuzu1.html',{},{price:$("#price").val(),shour:shour,ehour:ehour,phone:$("#phone").val(),weixin:$("#weixin").val(),city:city,photo:$("#photo img").attr('src'),tags:tags,all_tags:all_tags});
	w.show('pop-in',300);
}
