/*！
 * login.html 1 JavaScript
 * liezu - v1.0(2016-09-21)
 * 登录页面
 */

var ws=null;
/**
 * 初始化页面
 */
document.addEventListener('plusready',function(){
	var device_model = plus.device.model;
	var device_uuid = plus.device.uuid;
	ws = plus.webview.currentWebview();
	//绑定登录点击事件
	$('#loginBtn').on('tap',function(){
		if(!$("#user").val()){
			toast('请输入账号');
			return false;
		}
		if(!$("#password").val()){
			toast('请输入密码');
			return false;
		}
		showWaiting('登录中...');
		$.ajax({
			type:"get",
			url:ApiRoot,
			dataType:'json',
			data:'m=login&a=login&user='+$("#user").val()+'&password='+$("#password").val()+'&device_model='+device_model+'&device_uuid='+device_uuid,
			success:function(data){
				plus.nativeUI.closeWaiting();
//				console.log(JSON.stringify(data));
				if(data){
					if(data.id){
						setStorage('lz_uid',''+data.id);
						setStorage('lz_user',''+data.user);
						setStorage('lz_gid',''+data.gid);
						if(plus.webview.getWebviewById('app/personal.html')){
							plus.webview.getWebviewById('app/personal.html').evalJS('getmyinfo();');
						}
						if(plus.webview.getWebviewById('app/nearby.html')){
							plus.webview.getWebviewById('app/nearby.html').reload();
						}
						if(plus.webview.getWebviewById('app/news.html')){
							plus.webview.getWebviewById('app/news.html').reload();
						}
						if(plus.webview.getWebviewById('app/default.html')){
							plus.webview.getWebviewById('app/default.html').evalJS('loadDefault();');
						}
						toast('登录成功');
						ws.close('pop-out',800);
					}else if(data==-1){
						toast('账号或密码错误！');
					}else{
						toast('该账号已登录设备'+data+',请先退出后再登录。若为他人盗用，请联系猎租找回!');
					}
				}else{
					toast('账号或密码错误！');
				}
			},
			error:function(e){
				plus.nativeUI.closeWaiting();
				toast('网络失去连接');
				console.log(JSON.stringify(e));
			}
		});
	})
},false);