/*！
 * order.html 1 JavaScript
 * liezu - v1.0(2016-09-21)
 * 我的订单页面
 */
var ws=null;
var uid = null;
document.addEventListener('plusready',function(){
	ws = plus.webview.currentWebview();
	uid = getStorage('lz_uid');
	showWaiting('加载中...');
	getMyOrders();
},false);
var statusarr = new Array('已取消','待确认','待服务','待服务','服务中','待付款','待评价','已完成');
/**
 * 获取我的订单信息
 */
function getMyOrders(){
	$.ajax({
		type:"get",
		url:ApiRoot,
		dataType:'json',
		data:'m=member&a=getMyOrders&uid='+getStorage('lz_uid'), 
		success:function(data){
			plus.nativeUI.closeWaiting();
			console.log(JSON.stringify(data));
			if(data){
				var html_waiting='';
				var html_runing='';  
				var html_complete='';
				//1=等待对方同意；2=对方同意，等待开始服务；3=卖家开始服务，等待用户接受服务；4=正在服务中；5=已完成服务，待付款；6=已经付款，待评价；7=已评价，完成出租；0=用户已取消订单；-1对方拒绝
				 $.each(data, function(k,v) { 
				 	if(v && v.seller && v.lease){
					 	var html = '<ul class="mui-table-view"><li class="mui-table-view-cell">';
					 	html += '<span class="mui-pull-left" style="color:gray;font-size:.9em;">订单编号：'+v.orderid+'</span><span class="mui-pull-right order-yy">'+(v.status>=0 ? statusarr[v.status] : '已拒绝')+'</span></li>';
					 	html += '<li class="mui-table-view-cell" onclick="goOrderDetail('+v.id+')"><a><img class="mui-media-object mui-pull-left" src="'+(v.seller.avatar ? getImgUrl(v.seller.avatar) : '../img/avatar_gray.png')+'">';
					 	html += '<div class="mui-media-body">'+(v.seller.nickname ? v.seller.nickname : v.seller.user)+'<span style="margin-left:10px;" class="'+(v.seller.gender==1 ? 'mui-badge mui-badge-danger iconfont icon-xingbienv' : 'mui-badge mui-badge-success iconfont icon-xingbienv1')+'">'+v.seller.age+'</span>';
					 	html += '<p class="mui-ellipsis ne-p">时薪:'+v.lease.price+'/小时</p><p class="mui-ellipsis ne-p">时间：'+v.stime+'</p><p class="mui-ellipsis ne-p">地点：'+v.address+'</p>';
					 	html += '</div> </a></li></ul>';
					 	if(v.status==1){
					 		html_waiting += html; 
					 	}else if(1<v.status && v.status<6){ 
					 		html_runing += html;
					 	}else{
					 		html_complete += html;
					 	}
				 	}
				 });
				 $("#item1mobile").html(html_waiting ? html_waiting : '<div class="null-msg">您还没有"预约"的订单</div>');
				 $("#item2mobile").html(html_runing ? html_runing : '<div class="null-msg">您还没有"进行中"的订单</div>');
				 $("#item3mobile").html(html_complete ? html_complete : '<div class="null-msg">您还没有"完成"的订单</div>');
			}else{
				$("#item1mobile").html('<div class="null-msg">您还没有"预约"的订单</div>');
				 $("#item2mobile").html('<div class="null-msg">您还没有"进行中"的订单</div>');
				 $("#item3mobile").html('<div class="null-msg">您还没有"完成"的订单</div>');
			}
			setTimeout(function(){getMyOrders();},5000);
		},
		error:function(e){
			setTimeout(function(){getMyOrders();},5000);
			plus.nativeUI.closeWaiting();
			console.log(JSON.stringify(e));
			
		}
	});
}  

/**
 * 创建订单详情页面，并打开
 * @param {Object} oid 订单ID
 */
function goOrderDetail(oid){
	var ow = plus.webview.create('order_detail.html','order_detail.html',{},{oid:oid});
	ow.show('pop-in',500);
}
