/*！
 * order_detail.html 1 JavaScript
 * liezu - v1.0(2016-09-21)
 * 订单详情页面
 */
var ws=null;
var uid = null;
var oid = null;//订单ID
var orderid = null;//订单号
var total = null;
var status = null;//订单状态
var brokerage = 0;
document.addEventListener('plusready',function(){
	ws = plus.webview.currentWebview();
	oid = ws.oid;
	uid = getStorage('lz_uid');
	showWaiting('加载中...');
	getOrderDetail();
},false);
var statusarr = new Array('已取消','待确认','待服务','待服务','服务中','待付款','待评价','已完成');//订单状态
/**
 * 加载订单详细信息
 */
function getOrderDetail(){
	$.ajax({
		type:"get",
		url:ApiRoot,
		dataType:'json',
		data:'m=member&a=getOrderDetail&oid='+oid+'&uid='+getStorage('lz_uid'),
		success:function(data){
			plus.nativeUI.closeWaiting();
			console.log(JSON.stringify(data));
			if(data){ 
				brokerage = data.brokerage;
				if(data.seller.avatar)$('#avatar').attr('src',getImgUrl(data.seller.avatar));
				var userHTML= (data.seller.nickname ? data.seller.nickname : data.seller.user)+' ';
				userHTML += '  <span class="'+(data.seller.gender==1 ? 'mui-badge mui-badge-danger iconfont icon-xingbienv' : 'mui-badge mui-badge-success iconfont icon-xingbienv1')+'">';
				userHTML += data.seller.age+'</span><p class="mui-ellipsis ne-p">ID:'+data.seller.id+'</p>';
				$('#user').html(userHTML);
				$("#orderid").text(data.orderid);
				orderid = data.orderid;
				$("#stime").text(data.stime); 
				$("#etime").text(data.etime); 
				$("#address").text(data.address);
				$("#phone").text(data.phone);
				$("#price").text(data.lease.price);
				$("#fare").text(data.fare);
				total = data.fare;
				$("#unote").text(data.unote);
				$('#tags').html('<span class="mui-btn mui-btn-primary content-butt">'+data.tag+'</span>');
				status = data.status;
				if(data.status==1 || data.status==2){//等待预约成功
					if(data.uid==getStorage('lz_uid')){
						$('#userCancle').removeClass('mui-hidden');
					}else{
						if(data.status==1){
							$('#sellerCancle').removeClass('mui-hidden');
						}else{
							$('#sellerStart').removeClass('mui-hidden');
						}
					}
				}else if(data.status==3){//开始服务
					if(data.uid==getStorage('lz_uid')){
						$('#userAccept').removeClass('mui-hidden');
					}else{
						$('#completeOrder').removeClass('mui-hidden');
					}
				}else if(data.status==4){//服务中。。。
					if(data.uid==getStorage('lz_uid')){
						$('#userFuWuing').removeClass('mui-hidden');
					}else{
						$('#completeOrder').removeClass('mui-hidden');
					}
				}else if(data.status==5){//服务完成等待客户付款
					if(data.uid==getStorage('lz_uid')){
						$('#payOrder').removeClass('mui-hidden');
					}else{
						 toast('您已完成服务，请提醒客户及时付款');
					}
				}else if(data.status==6){//服务完成等待客户付款
					if(data.uid==getStorage('lz_uid')){
						$('#commend').removeClass('mui-hidden');
					}else{
						 toast('您已完成服务，对方已付款');
					}
				}
			}
		},
		error:function(e){
			plus.nativeUI.closeWaiting();
			console.log(JSON.stringify(e));
		}
	});
}  

/**
 * 取消订单/拒绝订单
 * @param {Object} type 用户类型(出租人/承租人)
 */
function calcleOrder(type){
	plus.nativeUI.confirm('确定要'+(type==1 ? '取消':'拒绝')+'此订单吗？',function(e){
		if(e.index==0){
			showWaiting('处理中...');
			$.ajax({
				type:"get",
				url:ApiRoot,
				dataType:'json',
				data:'m=member&a=calcleOrder&oid='+oid+'&type='+type,
				success:function(data){
					plus.nativeUI.closeWaiting();
					console.log(JSON.stringify(data)); 
					if(data>=0){
						toast('已经取消该订单');
//						uodate_order_list();
						setTimeout(function(){
							ws.close('auto',500);
						},1000);
					}
				},
				error:function(e){
					plus.nativeUI.closeWaiting();
					console.log(JSON.stringify(e));
				}
			});
		}
	},'提示',['是','否']);
}

/**
 * 接受订单
 */
function acceptOrder(){
	plus.nativeUI.confirm('确定要继续接受订单操作吗？'+(brokerage>0 ? ('\n(注：订单完成后平台将会抽取总费用的'+brokerage+'%作为佣金。)') : ''),function(e){
		if(e.index==0){
			showWaiting('处理中...');
			$.ajax({
				type:"get",
				url:ApiRoot,
				dataType:'json',
				data:'m=member&a=acceptOrder&oid='+oid,
				success:function(data){
					plus.nativeUI.closeWaiting()
					console.log(JSON.stringify(data)); 
					if(data>=0){
						toast('成功接受订单');
						$('#sellerCancle').addClass('mui-hidden');
						getOrderDetail();
//						uodate_order_list();
					} 
				},
				error:function(e){
					plus.nativeUI.closeWaiting()
					console.log(JSON.stringify(e));
				}
			});
		}
	},'提示',['接受','取消']);
}

/**
 * 订单开始服务
 */
function startOrder(){
	plus.nativeUI.confirm('确定开始服务吗？',function(e){
		if(e.index==0){
			showWaiting('处理中...');
			$.ajax({
				type:"get",
				url:ApiRoot,
				dataType:'json',
				data:'m=member&a=startOrderFuWu&oid='+oid,
				success:function(data){
					plus.nativeUI.closeWaiting()
					console.log(JSON.stringify(data)); 
					if(data>=0){
						toast('您即将开始服务，请提醒客户及时接受服务!');
						$('#sellerStart').addClass('mui-hidden');
						status = 3;
						getOrderDetail();
//						uodate_order_list();
					} 
				},
				error:function(e){
					plus.nativeUI.closeWaiting()
					console.log(JSON.stringify(e));
				}
			});
		}
	},'提示',['是','否']);
}

/**
 * 确认接受服务
 */
function acceptOrderFuWu(){
	plus.nativeUI.confirm('确定接受服务吗？',function(e){
		if(e.index==0){
			showWaiting('处理中...');
			$.ajax({
				type:"get",
				url:ApiRoot,
				dataType:'json',
				data:'m=member&a=acceptOrderFuWu&oid='+oid,
				success:function(data){
					plus.nativeUI.closeWaiting()
					console.log(JSON.stringify(data)); 
					if(data>=0){
						toast('您已接受服务,希望我们的服务能让您满意!');
						$('#userAccept').addClass('mui-hidden');
						getOrderDetail(); 
//						uodate_order_list();
					} 
				},
				error:function(e){
					plus.nativeUI.closeWaiting()
					console.log(JSON.stringify(e));
				}
			});
		}
	},'提示',['是','否']);
}

/**
 * 订单结束服务
 */
function completeOrder(){
	plus.nativeUI.confirm('确定要结束服务吗？',function(e){
		if(e.index==0){
			if(status==3){
				plus.nativeUI.alert('客户尚未接受服务，请提醒客户接受服务后，才能结束服务',null,'提示');
				return ;
			}
			showWaiting('处理中...');
			$.ajax({
				type:"get",
				url:ApiRoot,
				dataType:'json',
				data:'m=member&a=completeOrder&oid='+oid,
				success:function(data){
					plus.nativeUI.closeWaiting()
					console.log(JSON.stringify(data)); 
					if(data>=0){
						toast('恭喜您已完成服务，请提醒客户及时付款！');
						$('#completeOrder').addClass('mui-hidden');
						getOrderDetail(); 
//						uodate_order_list();
					} 
				},
				error:function(e){
					plus.nativeUI.closeWaiting()
					console.log(JSON.stringify(e));
				}
			});
		}
	},'提示',['是','否']);
}

/**
 * 支付订单，并选择支付方式
 */
function payment(){
	// 弹出系统选择按钮框
	plus.nativeUI.actionSheet( {title:"选择支付方式",cancel:"取消",buttons:[{title:"支付宝支付"},{title:"微信支付"},{title:"余额支付"}]}, function(e){
		if(e.index==1){
			pay(orderid,total,'alipay');
		}else if(e.index==2){ 
			pay(orderid,total,'wxpay');
		}else if(e.index==3){
			payByBalance(orderid,total,'cashbalance');
		}
	} );
}

/**
 * 创建订单评价页面，并打开
 */
function commend(){
	var cw = plus.webview.create('order_assess.html','order_assess.html',{},{oid:oid});
	cw.show('pop-in',500);
}

function uodate_order_list(){
//	if(plus.webview.getWebviewById('order.html')){
//		plus.webview.getWebviewById('order.html').evalJS('getMyOrders();');
//	}
}
