/*！
 * default.html 1 JavaScript
 * liezu - v1.0(2016-09-21)
 * 首页
 */

var ws=null;
var city = null;
var adsPage=null;
var page=0;
var latitude = null;
var longitude = null;
var now_part = 0;//当前部分；1=男神；0=女神
var allColor = new Array('primary','positive','negative');
document.addEventListener('plusready',function(){
	ws = plus.webview.currentWebview();
	longitude = getStorage('lz_lat');
	latitude = getStorage('lz_lng');
	loadDefault();
	document.addEventListener( "plusscrollbottom", loadMoreByPage, false );
},false); 

function getLatAndLng(){ 
	plus.geolocation.getCurrentPosition( function ( p ) {//获取城市定位
		city = p.address.city;
//		if(getStorage('lz_city')){city=getStorage('lz_city');}
		if(!getStorage('lz_city')){
			if(city){ 
				setStorage('lz_city',city+'');
			}else{
				setStorage('lz_city','全国');
			}
		}
		longitude = p.coords.longitude;
		latitude = p.coords.latitude;
		setStorage('lz_lat',latitude);
		setStorage('lz_lng',longitude);
		loadDefault();
	}, function ( e ) {
		setStorage('lz_city','全国');
		longitude = getStorage('lz_lat');
		latitude = getStorage('lz_lng');
		if(!longitude)longitude=0;
		if(!latitude)latitude=0;
		loadDefault();
	} );
}
/**
 * 首次加载首页广告和出租列表 
 */
function loadDefault(){
//	console.log(latitude+'&lng='+longitude+'%city='+getStorage('lz_city'));
	if(!latitude || !longitude){
		getLatAndLng();
	}
	if(page>0)page = 0;
	$.ajax({
		type:"get",   
		url:ApiRoot,
		dataType:'json',
		data:'m=index&a=defaultPart'+(getStorage('lz_city') ? ('&city='+getStorage('lz_city')) : '全国')+(getStorage('lz_uid') ? ('&uid='+getStorage('lz_uid')) : '')+'&lat='+latitude+'&lng='+longitude,
		success:function(data){
			console.log(JSON.stringify(data));
			setTimeout(function(){
				plus.nativeUI.closeWaiting();
			},1500);
			if(getStorage('lz_city')){
				$("#default_city").text(getStorage('lz_city') ? getStorage('lz_city') : '全国');
			}
			if(data){ 
//				$("#lease_news").html(getLeaseHtml(data));
				$("#lease_news").html('');
				$.each(data, function(k,v) {
					if(v.user && v.user.id!=getStorage('lz_uid')){
						var html = '';
						html += '<div class="content"><div class="hea clearfix"><div onclick="goFriend('+v.id+')">';
						html += '<img class="mui-pull-left image" src="'+(v.user.avatar ? getImgUrl(v.user.avatar) : '../img/avatar_gray.png')+'">';
						html += '</div><div>';
						html += '<p class="name" onclick="goFriend('+v.id+')">'+(v.user.nickname ? v.user.nickname : v.user.user);
						if(v.user.vip==1){
							html += '<span class="mui-icon iconfont icon-huiyuan" style="color:#01B4DC;margin-left:3px;vertical-align: middle;"></span>';
						}else if(v.user.vip==2){
							html += '<span class="mui-icon iconfont icon-huiyuan" style="color:#F00;margin-left:3px;vertical-align: middle;"></span>';
						}
						html += '</p>'; 
						html += '<p class="mui-ellipsis mui-pull-right">';
						html += '<span class="iconfont icon-fujin"></span><span class="loca">'+v.cityname+'</span>';
						if(v.distance<9999)html += '<span class="km">'+(v.distance ? v.distance : '0.00')+'km</span>'
						html += '</p></div><div class="">';
						html += '<span class="as'+(v.user.gender==1 ? '1' : '')+'" style="margin-right:3px;"><i class="iconfont icon-xingbienv'+(v.user.gender==1 ? '' : '1')+'"></i>'+v.user.age+'</span>';
						html += '<span class="as'+(v.user.vip)+'">Lv.'+v.level+'</span>'; 
						html += '<p class="mui-ellipsis mui-pull-right"><span class="rz">已认证</span></p>';
						html += '</div></div><div class="pic" onclick="goFriend('+v.id+')">';
						html += '<img src="'+getImgUrl(v.photo)+'" class="pic-img" />';
						html += '<div class="progress-wrapper">';
						html += '<canvas class="canvas" id="canvas'+v.id+'"></canvas>';
						html += '<p class="match">匹配度:<span class="match-num">'+v.pipeidu+'%</span></p>';
						html += '</div></div><div class="hea clearfix">'; 
						html += '<p class="mui-pull-left bs '+(v.isAttention==1 ? 'shoucang' : '')+'" id="guanzhu'+v.id+'" isAttention="'+(v.isAttention)+'">';
						html += '<span class="iconfont icon-hert" onclick="addAttention('+v.id+','+v.user.id+');"></span>';
						html += '<a onclick="shareActionSheetToFriend('+v.id+',\''+v.user.avatar+'\')" class="iconfont icon-fenxiang"></a>';
						html += '</p><p class="mui-pull-right"><span class="yue" onclick="goFriend('+v.id+')">约</span></p>';
						html += '</div></div>';
						$("#lease_news").append(html);
//						lazyLoad.refresh(true);
						getPpd(v.id,v.pipeidu);
					} 
				});
				page++;
			}else{
				var h = '<div class="null-msg" style="height:auto;"><span style="color:red;">'+getStorage('lz_city')+'</span>无相关信息<br/><br/><a onclick="update();" style="color:lightblue;">点击重试</a></div>';
				$("#lease_news").html(h);
				setTimeout(function(){
					loadDefault();
				},5000);
			}
		},
		error:function(e){
			plus.nativeUI.closeWaiting();
			getLatAndLng(); 
			console.log(JSON.stringify(e));
		} 
	}); 
}  
var isloading = 0;
/**
 * 加载出租列表(分页)
 */
function loadMoreByPage(){
	if(isloading==1){
		console.log("正在加载中...");
		return ;
	}
	$('#loadMore').show();
	$('#loadMoreSpinner').show();
	$('#loadMoreText').text('加载中...');	
	
	isloading = 1;
	console.log(page)
	$.ajax({
		type:"get",
		url:ApiRoot,
		dataType:'json',
		data:'m=index&a=defaultPart'+(getStorage('lz_city') ? ('&city='+getStorage('lz_city')) : '')+(getStorage('lz_uid') ? ('&uid='+getStorage('lz_uid')) : '')+'&lat='+latitude+'&lng='+longitude+'&page='+page,
		success:function(data){
			console.log(JSON.stringify(data));
			if(data && data.length>0){
				$('#loadMore').hide();
				$.each(data, function(k,v) {
					if(v.user && v.user.id!=getStorage('lz_uid')){
						var html = '';
						html += '<div class="content"><div class="hea clearfix"><div onclick="goFriend('+v.id+')">';
						html += '<img class="mui-pull-left image" src="'+(v.user.avatar ? getImgUrl(v.user.avatar) : '../img/avatar_gray.png')+'">';
						html += '</div><div>';
						html += '<p class="name" onclick="goFriend('+v.id+')">'+(v.user.nickname ? v.user.nickname : v.user.user);
						if(v.user.vip==1){
							html += '<span class="mui-icon iconfont icon-huiyuan" style="color:#01B4DC;margin-left:3px;vertical-align: middle;"></span>';
						}else if(v.user.vip==2){
							html += '<span class="mui-icon iconfont icon-huiyuan" style="color:#F00;margin-left:3px;vertical-align: middle;"></span>';
						}
						html += '</p>'; 
						html += '<p class="mui-ellipsis mui-pull-right">';
						html += '<span class="iconfont icon-fujin"></span><span class="loca">'+v.cityname+'</span>';
						if(v.distance<9999)html += '<span class="km">'+(v.distance ? v.distance : '0.00')+'km</span>'
						html += '</p></div><div class="">';
						html += '<span class="as'+(v.user.gender==1 ? '1' : '')+'" style="margin-right:3px;"><i class="iconfont icon-xingbienv'+(v.user.gender==1 ? '' : '1')+'"></i>'+v.user.age+'</span>';
						html += '<span class="as'+(v.user.vip)+'">Lv.'+v.level+'</span>'; 
						html += '<p class="mui-ellipsis mui-pull-right"><span class="rz">已认证</span></p>';
						html += '</div></div><div class="pic" onclick="goFriend('+v.id+')">';
						html += '<img src="'+getImgUrl(v.photo)+'" class="pic-img" />';
						html += '<div class="progress-wrapper">';
						html += '<canvas class="canvas" id="canvas'+v.id+'"></canvas>';
						html += '<p class="match">匹配度:<span class="match-num">'+v.pipeidu+'%</span></p>';
						html += '</div></div><div class="hea clearfix">'; 
						html += '<p class="mui-pull-left bs '+(v.isAttention==1 ? 'shoucang' : '')+'" id="guanzhu'+v.id+'" isAttention="'+(v.isAttention)+'">';
						html += '<span class="iconfont icon-hert" onclick="addAttention('+v.id+','+v.user.id+');"></span>';
						html += '<a onclick="shareActionSheetToFriend('+v.id+',\''+v.user.avatar+'\')" class="iconfont icon-fenxiang"></a>';
						html += '</p><p class="mui-pull-right"><span class="yue" onclick="goFriend('+v.id+')">约</span></p>';
						html += '</div></div>';
						$("#lease_news").append(html); 
						getPpd(v.id,v.pipeidu);
					} 
				});
//				lazyLoad.refresh(true);
				page++;
				isloading = 0;
			}else{
				setTimeout(function(){
					$('#loadMoreSpinner').hide();
					$('#loadMoreText').text('没有更多数据了');
				},1000);
				setTimeout(function(){$('#loadMore').hide();},3500);
				isloading = 0;
			}
		},
		error:function(e){
			isloading = 0;
			console.log(JSON.stringify(e));
		} 
	}); 
}
/**
 * 关注用户 
 */
function addAttention(lid,fid){ 
	shock();
	uid=getStorage('lz_uid');
	if(fid==uid){
		toast('不能关注自己哦');
		return ;
	}
	if(!uid){
		toast('请先登录后再关注好友');
		goUrl('login.html');
		return ;
	}
	var isAttention = $("#guanzhu"+lid).attr('isAttention');
	if(isAttention && isAttention==1){
//		toast('已关注该好友');
		delAttention(lid,fid);
		return ;
	}
	$.ajax({
		type:"get",
		url:ApiRoot,
		dataType:'json',
		data:'m=member&a=addAttention&uid='+uid+"&fid="+fid,
		success:function(data){
			plus.nativeUI.closeWaiting();   
			console.log(JSON.stringify(data));   
			if(data){
				if(data==-1){
					toast('您已经关注过该用户了，无需重复关注');
				}
				if(data>0){
					toast('关注成功');
					$("#guanzhu"+lid).attr('isAttention',1);
					$("#guanzhu"+lid).addClass('shoucang');
				}
			}else{
				toast('无法连接服务器，请重试');
			}
		},
		error:function(e){
			plus.nativeUI.closeWaiting();
			toast('网络失去连接');
			console.log(JSON.stringify(e));
		}
	});
}

/**
 * 取消关注用户 
 */
function delAttention(lid,fid){
	if(!getStorage('lz_uid')){
		toast('请先登录后再关注好友');
		goUrl('login.html');
		return ;
	}
	$.ajax({
		type:"get",
		url:ApiRoot,
		dataType:'json',
		data:'m=member&a=delAttention&uid='+getStorage('lz_uid')+"&fid="+fid,
		success:function(data){
			plus.nativeUI.closeWaiting();   
			console.log(JSON.stringify(data));   
			if(data){
				if(data>=0){
					toast('已取消关注');
					$("#guanzhu"+lid).attr('isAttention',0);
					$("#guanzhu"+lid).removeClass("shoucang");
//					$("#add-guanzhu").text('加关注');
				}
			}else{
				toast('无法连接服务器，请重试');
			}
		},
		error:function(e){
			plus.nativeUI.closeWaiting();
			toast('网络失去连接');
			console.log(JSON.stringify(e));
		}
	});
}

/**
 * 创建广告详情页面，并打开
 * @param {Object} id 广告ID
 */
function goAdsDetail(id){
	var adsPage = plus.webview.create('adsDetail.html','adsDetail.html',{},{adsid:id});
	adsPage.show('pop-in',200); 
}

/**
 * 将出租json数据转为html
 * @param {Object} data 出租信息(json数据)
 * @return {String} 返回html
 */
function getLeaseHtml(data){
//	console.log(JSON.stringify(data));
	var html = '';
	if(data && data.length>0){   
		$.each(data, function(k,v) {
			if(v.user){
//				html += '<li class="mui-table-view-cell mui-media"><div class="list-header"><img class="mui-media-object mui-pull-left" onclick="goFriend('+v.id+')" src="'+(v.user.avatar ? getImgUrl(v.user.avatar) : '../img/avatar_gray.png')+'" style="background-color:gray;">';
//				html += '<div class="mui-media-body">';
//				if(v.user.id!=getStorage('lz_uid')){
//					html += '<button onclick="shield('+v.user.id+')" class="mui-btn mui-btn-outlined mui-pull-right share-btn">屏蔽</button>';
//				}
//				html += '<button class="mui-btn mui-btn-outlined mui-pull-right share-btn" onclick="shareActionSheet()" style="margin-right:5px;">分享</button>';
//				html += ''+(v.user.nickname ? v.user.nickname : v.user.user)+'<span class="'+(v.gender==1 ? 'mui-badge mui-badge-danger iconfont icon-xingbienv' : 'mui-badge mui-badge-success iconfont icon-xingbienv1')+'">'+v.user.age+'</span>';
//				html += '<p class="mui-ellipsis"><span class="mui-icon mui-icon-location ic"></span>'+v.cityname+'</p></div></div>';
//				html += '<div class="list-pic"  onclick="goFriend('+v.id+')"><img src="'+getImgUrl(v.photo)+'" /></div><div class="list-tips"><p><span class="a">能陪你：</span>';
//				var i=0; 
//				if(v.tagsarr){
//					$.each(v.tagsarr, function(k1,v1) {
//						html += '<span class="mui-btn mui-btn-'+allColor[i%3]+' content-butt" style="margin-right:5px;">'+v1.title+'</span>';
//						i++;
//					});
//				}
//				html += '</p></div></li>';
				  
				html += '<div class="content"><div class="hea clearfix"><div onclick="goUrl(\'personal_item.html\')">';
				html += '<img class="mui-pull-left image" onclick="goFriend('+v.id+')" src="'+(v.user.avatar ? getImgUrl(v.user.avatar) : '../img/avatar_gray.png')+'">';
				html += '</div><div>';
				html += '<p class="name" onclick="goUrl(\'personal_item.html\')">'+(v.user.nickname ? v.user.nickname : v.user.user);
				if(v.user.vip==1){
					html += '<span class="mui-icon iconfont icon-huiyuan" style="color:#01B4DC;margin-left:3px;vertical-align: middle;"></span>';
				}else if(v.user.vip==2){
					html += '<span class="mui-icon iconfont icon-huiyuan" style="color:#F00;margin-left:3px;vertical-align: middle;"></span>';
				}
				html += '</p>';
				html += '<p class="mui-ellipsis mui-pull-right">';
				html += '<span class="iconfont icon-fujin"></span><span class="loca">'+v.cityname+'</span><span class="km">'+(v.distance ? v.distance : '0')+'km</span>';
				html += '</p></div><div class="">';
				html += '<span class="as'+(v.user.gender==1 ? '1' : '')+'" style="margin-right:3px;"><i class="iconfont icon-xingbienv'+(v.user.gender==1 ? '' : '1')+'"></i>'+v.user.age+'</span>';
				html += '<span class="as2">Lv.'+v.level+'</span>'; 
				html += '<p class="mui-ellipsis mui-pull-right"><span class="rz">已认证</span></p>';
				html += '</div></div><div class="pic" onclick="goUrl(\'personal_ziliao.html\')">';
				html += '<img src="'+getImgUrl(v.photo)+'" class="pic-img" />';
				html += '<div class="progress-wrapper">';
				html += '<canvas class="canvas" id="canvas'+k+'"></canvas>';
				html += '<p class="match">匹配度:<span class="match-num" >'+v.pipeidu+'%</span></p>';
				html += '</div></div><div class="hea clearfix">'; 
				html += '<p class="mui-pull-left bs">';
				html += '<span class="iconfont icon-hert"></span>';
				html += '<a href="#share" class="iconfont icon-fenxiang"></a>';
				html += '</p><p class="mui-pull-right"><span class="yue">约</span></p>';
				html += '</div></div>';
			} 
		});
	}else{
		html = '<div class="null-msg" style="height:auto;"><span style="color:red;">'+getStorage('lz_city')+'</span>无相关信息<br/><br/><a onclick="update();" style="color:lightblue;">点击重试</a></div>';
	}
	return html;
}

function getPpd(k,pipeidu){ 
//	console.log(pipeidu);
//	$.each(data, function(k,v) {
		var p = parseInt(pipeidu)/100;
		canve(k,p);
//	});
}

function canve(k,len){
	var canvas = document.getElementById("canvas"+k);
	var cxt = canvas.getContext('2d'); 
	
	canvas.width = 50;
	canvas.height = 50;
	
	if(len==1){
		len = 0;
	}else if(len==0){
		len=1;
	}
	var alllen = 2;
	var matchNum = alllen*len-0.5;
	//背景圆环
	cxt.fillStyle = 'rgba(255,255,255,.1)'; 
	cxt.beginPath();
	cxt.arc(25,25,23,0,2*Math.PI,false);
	cxt.closePath();
	cxt.fill();
//				


	cxt.strokeStyle = 'rgba(0,0,0,.5)';
	cxt.lineWidth = '4';
	//未匹配度圆环
	cxt.beginPath();
	
	//arc(x,y,radius,startAngel,endAngel,boole)
	//x,y为圆心坐标
	//radius，圆环半径
	//startAngel,endAngel,起始弧度和终止弧度
	//boole ,true,逆时针,false，顺时针
	cxt.arc(25,25,22,1.5*Math.PI,Math.PI*1.5000001,true);
	cxt.stroke();
	
	
	//匹配度圆环
	cxt.strokeStyle = '#20CDF4';
	cxt.beginPath();
	cxt.arc(25,25,22,1.5*Math.PI,Math.PI*matchNum,false);
	cxt.stroke();
}
var fw = null;
/**
 * 前往个人中心
 * @param {Object} id 用户ID
 */
 function goFriend(id){
 	if(fw)return ;
 	shock();
 	fw = plus.webview.create('personal_ziliao.html','personal_ziliao.html',{},{leaseid:id});
   	showWaiting();
   	fw.addEventListener('loaded',function(){
   		plus.nativeUI.closeWaiting();
	 	setTimeout(function(){
		 	fw.show('pop-in',500);
   		},200);
   		fw.addEventListener('close',function(){//页面关闭后可再次打开
			fw=null;
		},false);
   	});
 }
 function goFriendInfo(fid){
 	if(fw)return ;
 	shock();
 	fw = plus.webview.create('friend_info.html','friend_info.html',{},{fid:fid});
 	showWaiting();
 	fw.addEventListener('loaded',function(){
 		plus.nativeUI.closeWaiting();
 		setTimeout(function(){
		 	fw.show('pop-in',500);
 		},200);
 		fw.addEventListener('close',function(){//页面关闭后可再次打开
			fw=null;
		},false);
 	});
 }
 /**
  * 更新默认城市，并重新加载指定城市出租数据
  */
 function update_city(){
 	$('#lease_boys').html('<span class="mui-spinner loading"></span>');
 	$('#lease_girls').html('<span class="mui-spinner loading"></span>');
 	$("#default_city").text(getStorage('lz_city') ? getStorage('lz_city') : '全国');
 	loadDefault(); 
 }
 
 /**
  * 重新加载首页数据
  */
function update(){
	$('#lease_boys').html('<span class="mui-spinner loading"></span>');
 	$('#lease_girls').html('<span class="mui-spinner loading"></span>');
 	loadDefault(); 
}
